clang 10.0.0git

Public Member Functions | List of all members
clang::TreeTransform< Derived >::TemporaryBase Class Reference

RAII object that temporarily sets the base location and entity used for reporting diagnostics in types. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Sema/TreeTransform.h"`

## Public Member Functions
| TemporaryBase (TreeTransform &Self, SourceLocation Location, DeclarationName Entity)
| ~TemporaryBase ()

## Detailed Description

### template<typename Derived>
class clang::TreeTransform< Derived >::TemporaryBase

RAII object that temporarily sets the base location and entity used for reporting diagnostics in types.

Definition at line 184 of file TreeTransform.h.

## Constructor & Destructor Documentation

## ◆ TemporaryBase()

template<typename Derived>

clang::TreeTransform< Derived >::TemporaryBase::TemporaryBase | ( | TreeTransform & | Self,
|  | SourceLocation | Location,
|  | DeclarationName | Entity
| ) |  |
| inline

Definition at line 190 of file TreeTransform.h.

References clang::TreeTransform< Derived >::getDerived(), and clang::SourceLocation::isValid().

## ◆ ~TemporaryBase()

template<typename Derived>

clang::TreeTransform< Derived >::TemporaryBase::~TemporaryBase | ( |  | ) |
| inline

Definition at line 199 of file TreeTransform.h.

References clang::TreeTransform< Derived >::getDerived().

The documentation for this class was generated from the following file:

- lib/Sema/TreeTransform.h